API Explorer 1 endpoints

Direct Login

POST /obp/v7.0.0/my/logins/direct

OBPv6.0.0-directLoginEndpoint No role required User

DirectLogin is a simple authentication flow. You POST your credentials (username, password, and consumer key) to the DirectLogin endpoint and receive a token in return.

This is an alias to the DirectLogin endpoint that includes the standard API versioning prefix.

This endpoint requires the following header:

DirectLogin: username=YOUR_USERNAME, password=YOUR_PASSWORD, consumer_key=YOUR_CONSUMER_KEY

Note: You can also use the Authorization header (Authorization: DirectLogin username=...) but the DirectLogin header is preferred.

The token returned can then be used in subsequent API calls using the header:

DirectLogin: token=YOUR_TOKEN

On this instance DirectLogin is enabled.

User Authentication is Optional. The User need not be logged in.

JSON request body fields (0)
JSON response body fields (1)
token
Example success response
{
  "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwczpcL1wvd3d3Lm9wZW5iYW5rcHJvamVjdC5jb20iLCJpYXQiOjE0NTU4OTQyNzYsImV4cCI6MTQ1NTg5Nzg3NiwiYXVkIjoib2JwLWFwaSIsInN1YiI6IjA2Zjc0YjUwLTA5OGYtNDYwNi1hOGNjLTBjNDc5MjAyNmI5ZCIsImNvbnN1bWVyX2tleSI6IjYwNGY3ZTAyNGQ5MWU2MzMwNGMzOGM0YzRmZjc0MjMwZGU5NDk4NTEwNjgxZWNjM2Q5MzViNWQ5MGEwOTI3ODciLCJyb2xlIjoiY2FuX2FjY2Vzc19hcGkifQ.f8xHvXP5fDxo5-LlfTj1OQS9oqHNZfFd7N-WkV2o4Cc"
}
Possible errors (5)
  • OBP-20409: DirectLogin is disabled. Set allow_direct_login=true to enable.
  • OBP-20012: Invalid direct login parameters
  • OBP-20004: Invalid login credentials. Check username/password.
  • OBP-20009: Invalid consumer credentials
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 directLoginEndpoint Originally /obp/v6.0.0/my/logins/direct